﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace xamDataGridBindingBehavior
{
   public class MyDAL
   {
       public BindingList<Person> GetPeople()
       {
           BindingList<Person> list = new BindingList<Person>();
           for (int i = 0; i < 10; i++)
           {
               list.Add(new Person() { ID = i, FirstName = "First Name", LastName = "LastName" });
           }
           return list;
       }
   }

   public class Person : INotifyPropertyChanged
   {
       private string fname;
       public string FirstName
       {
           get { return fname; }
           set
           {
               fname = value;
               OnPropertyChanged("FirstName");
           }
       }

       private string lname;
       public string LastName
       {
           get { return lname; }
           set
           {
               lname = value;
               OnPropertyChanged("LastName");
           }
       }

       private int id;
       public int ID
       {
           get { return id; }
           set
           {
               id = value;
               OnPropertyChanged("ID");
           }
       }

       #region INotifyPropertyChanged Members

       public event PropertyChangedEventHandler PropertyChanged;

       protected virtual void OnPropertyChanged(string propName)
       {
           if (PropertyChanged != null)
               PropertyChanged(this, new PropertyChangedEventArgs(propName));
       }

       #endregion
   }
}
